import { NgModule }            from '@angular/core';

import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../openaireLibrary/error/isRouteEnabled.guard'
import {RouterModule} from '@angular/router';

import {AffiliationsComponent} from './affiliations.component';
import {AffiliationService} from "../openaireLibrary/connect/affiliations/affiliation.service";
import {CommonModule} from "@angular/common";
import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {PiwikServiceModule} from "../openaireLibrary/utils/piwik/piwikService.module";
import {UrlPrefixModule} from "../openaireLibrary/utils/pipes/url-prefix.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, Schema2jsonldModule, SEOServiceModule,
    PiwikServiceModule, UrlPrefixModule
  ],
  declarations: [
    AffiliationsComponent
  ],
  providers:[PreviousRouteRecorder, IsRouteEnabled, AffiliationService],
  exports: [
    AffiliationsComponent
  ]
})


export class AffiliationsModule{}
