import {Component} from '@angular/core';
import {Breadcrumb} from "../../openaireLibrary/utils/breadcrumbs/breadcrumbs.component";

@Component({
    selector: 'organizations',
    template: `
      <div class="uk-section tm-middle uk-padding-remove-top" id="tm-main">
        <breadcrumbs [addClass]="'uk-margin-large-left uk-margin-remove-bottom uk-margin-small-top'" [breadcrumbs]="breadcrumbs"></breadcrumbs>

        <div class="uk-container uk-container-large uk-margin-bottom">
          <h4 class="uk-margin-medium-top uk-margin-bottom">Supporting Organizations</h4>
          <html-page description="Organizations" pageTitle="Supporting Organizations"></html-page>
          <affiliations [longView]="true" [getAffiliationsFromAPI]="true"></affiliations>
        </div>
      </div>
    `
})
export class OrganizationsPageComponent {
  public breadcrumbs: Breadcrumb[] = [{name: 'home', route: '/'}, {name: 'about - supporting organizations'}];

  constructor () {}
  public ngOnInit() {
  }

}
