import {Component, OnInit} from '@angular/core';
import {PiwikHelper} from '../../utils/piwikHelper';
import {ConnectHelper} from '../../openaireLibrary/connect/connectHelper';
import {properties} from "../../../environments/environment";

@Component({
  selector: 'openaire-dataprovider',
  template: `
    <dataprovider [piwikSiteId]=piwikSiteId [communityId]="communityId"></dataprovider>`,
})
export class OpenaireDataProviderComponent implements OnInit {
  piwikSiteId;
  communityId;
  
  constructor() {
  }

  ngOnInit() {
    this.communityId = ConnectHelper.getCommunityFromDomain(properties.domain);
    this.piwikSiteId = PiwikHelper.getSiteId(this.communityId, properties.environment);
  }
}
