import {Component, OnInit} from '@angular/core';
import {SearchCustomFilter} from "../../openaireLibrary/searchPages/searchUtils/searchUtils.class";
import {ConnectHelper} from "../../openaireLibrary/connect/connectHelper";
import {PiwikHelper} from "../../utils/piwikHelper";
import {properties} from "../../../environments/environment";

@Component({
  selector: 'openaire-advanced-search-dataprovider',
  template: `
    <search-dataproviders [simpleView]="false" [customFilter]=customFilter [piwikSiteId]="piwikSiteId"
                          [hasPrefix]="false" [showBreadcrumb]="true" [showSwitchSearchLink]="false">
    </search-dataproviders>
  `
})
export class OpenaireAdvancedSearchDataProvidersComponent implements OnInit {
  communityId: string;
  piwikSiteId = null;
  customFilter: SearchCustomFilter = null;
  
  constructor() {
  }
  
  ngOnInit() {
    let communityId = ConnectHelper.getCommunityFromDomain(properties.domain);
    if (communityId) {
      this.piwikSiteId = PiwikHelper.getSiteId(communityId, properties.environment);
      this.communityId = communityId;
      this.customFilter = new SearchCustomFilter("Community", "communityId", this.communityId, "");
      this.customFilter.isHiddenFilter = false;
    }
  }
}
